import { ConditionUtil, FieldUtil, TableUtilImpl, IdType } from 'model-util';
import { BusRecoverOrder } from '../models/index';
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-06-16 13:51
 */
interface BusRecoverOrderCU extends ConditionUtil<BusRecoverOrderCU> {
    ORDER_NO: FieldUtil<BusRecoverOrderCU>;
    USER_ID: FieldUtil<BusRecoverOrderCU>;
    LOT_ID: FieldUtil<BusRecoverOrderCU>;
    CAR_PLATE_NUM: FieldUtil<BusRecoverOrderCU>;
    AMOUNT: FieldUtil<BusRecoverOrderCU>;
    DETAIL: FieldUtil<BusRecoverOrderCU>;
    CREATE_TIME: FieldUtil<BusRecoverOrderCU>;
    STATE: FieldUtil<BusRecoverOrderCU>;
    PAY_TIME: FieldUtil<BusRecoverOrderCU>;
}
declare class BusRecoverOrderMU extends TableUtilImpl<BusRecoverOrderCU, BusRecoverOrder> {
    tableName: string;
    tableFields: string[];
    modelFields: string[];
    modelIdFields: string[];
    tableIdFields: string[];
    idType: IdType;
    joinTables: any[];
    subTables: any[];
    createConditionUtil(): BusRecoverOrderCU;
    static get ORDER_NO(): FieldUtil<BusRecoverOrderCU>;
    static get USER_ID(): FieldUtil<BusRecoverOrderCU>;
    static get LOT_ID(): FieldUtil<BusRecoverOrderCU>;
    static get CAR_PLATE_NUM(): FieldUtil<BusRecoverOrderCU>;
    static get AMOUNT(): FieldUtil<BusRecoverOrderCU>;
    static get DETAIL(): FieldUtil<BusRecoverOrderCU>;
    static get CREATE_TIME(): FieldUtil<BusRecoverOrderCU>;
    static get STATE(): FieldUtil<BusRecoverOrderCU>;
    static get PAY_TIME(): FieldUtil<BusRecoverOrderCU>;
    get ORDER_NO(): FieldUtil<BusRecoverOrderCU>;
    get USER_ID(): FieldUtil<BusRecoverOrderCU>;
    get LOT_ID(): FieldUtil<BusRecoverOrderCU>;
    get CAR_PLATE_NUM(): FieldUtil<BusRecoverOrderCU>;
    get AMOUNT(): FieldUtil<BusRecoverOrderCU>;
    get DETAIL(): FieldUtil<BusRecoverOrderCU>;
    get CREATE_TIME(): FieldUtil<BusRecoverOrderCU>;
    get STATE(): FieldUtil<BusRecoverOrderCU>;
    get PAY_TIME(): FieldUtil<BusRecoverOrderCU>;
}
export { BusRecoverOrderMU, BusRecoverOrderCU };
